<div class="page rs-import-exp">
 [[>  rsp:adminPageHeader title="Data Import and Export" icon="fa fa-upload fa-lg"]]
 <div class="container-fluid" style="margin-bottom: 40px;">
<bs-row class="row-center">
<bs-col class="rs-col-xl-8" lg="9" md="10" sm="11" xs="12">
<h1>
     [[i18n "data_import_1" bundle="languages/resource_admin_dataimportexport" locale=this.lang]]
    </h1>
<hr style="margin-top:0px;"/>
    [[#if (hasPermission "sparql:update")]]
    <bs-alert bs-style="info">
<strong>
      [[i18n "info" bundle="languages/resource_admin_dataimportexport" locale=this.lang]]
     </strong>
<br/>
<p>
      [[i18n "the_data" bundle="languages/resource_admin_dataimportexport" locale=this.lang]]
     </p>
<p>
      [[i18n "all_communication" bundle="languages/resource_admin_dataimportexport" locale=this.lang]]
      <br/>
      [[i18n "for_loading" bundle="languages/resource_admin_dataimportexport" locale=this.lang]]
      <semantic-link iri="http://help.researchspace.org/resource/WorkingWithData">
</semantic-link>
      .
     </p>
</bs-alert>
<mp-rdf-upload>
</mp-rdf-upload>
    [[else]]
    <i>
     [[i18n "no_permission" bundle="languages/resource_admin_dataimportexport" locale=this.lang]]
    </i>
    [[/if]]
    <h1 style="margin-top: 30px;">
     [[i18n "data_export" bundle="languages/resource_admin_dataimportexport" locale=this.lang]]
    </h1>
<hr style="margin-top:0px;"/>
<semantic-query query="SELECT (COUNT(*) as ?number) WHERE { { SELECT DISTINCT ?g WHERE{ GRAPH ?g {?s ?p ?o} } LIMIT 2000 } }" template='{{#each bindings}}{{#ifCond number.value "> =" 2000}}<bs-alert bs-style="warning">  The following table is limited to show only <strong> 2000</strong>  named graphs.</bs-alert>  {{else}} <bs-alert bs-style="info">  The repository contains <strong> {{number.value}}</strong>  distinct named graphs.</bs-alert>  {{/ifCond}}{{/each}}'>
</semantic-query>
<semantic-table column-configuration='[
            {"variableName":"graph", "displayName":"Named Graph", "cellTemplate":"{{>  link}}"},
            {"displayName":"Triples", "cellTemplate":"{{>  count}}"}
            [[#if (hasPermission "sparql:graphstore:get")]]
              ,{"displayName":"Export", "cellTemplate": "{{>  export}}" }
            [[/if]]
            [[#if (hasPermission "sparql:graphstore:delete")]]
              ,{"displayName":"Delete", "cellTemplate": "{{>  delete}}" }
            [[/if]]
          ]' query="
              SELECT ?graph WHERE {
                  {
                    SELECT DISTINCT ?graph WHERE {
                      { GRAPH ?graph { ?subject ?predicate ?object. } }
                    } LIMIT 2000
                  }
              }
          ">
<template id="link">
<semantic-link iri='[[resolvePrefix "Admin:NamedGraphs"]]' urlqueryparam-graph="{{graph.value}}">
       {{graph.value}}
      </semantic-link>
</template>
<template id="delete">
<mp-graph-store-action action="DELETE" graphuri="{{graph.value}}" title="[[i18n 'delete' bundle='languages/resource_admin_dataimportexport' locale=this.lang]]">
<i class="fa fa-trash-o">
</i>
</mp-graph-store-action>
</template>
<template id="count">
<semantic-query query="
                SELECT ?size WHERE {
                  {
                    SELECT (COUNT(*) as ?number) WHERE {
                      GRAPH <{{graph.value}}>  { { SELECT * WHERE{ ?s ?p ?o}  LIMIT 2000 } }
                    } LIMIT 1
                  }
                  BIND(IF(?number >= 2000, '> =2000', ?number) as ?size)
                }
              ">
</semantic-query>
</template>
<template id="export">
<bs-dropdown-button bs-size="xsmall" class="mp-rdf-graph-action__download-dropdown" id="download" no-caret="true" title="">
<bs-menu-item event-key="1">
<mp-graph-store-action action="GET" class="mp-rdf-graph-action__download-dropdown-item" file-ending="trig" graphuri="{{graph.value}}" title="[[i18n 'download' bundle='languages/resource_admin_dataimportexport' locale=this.lang]]">
         [[i18n "trig" bundle="languages/resource_admin_dataimportexport" locale=this.lang]]
        </mp-graph-store-action>
</bs-menu-item>
<bs-menu-item event-key="2">
<mp-graph-store-action action="GET" class="mp-rdf-graph-action__download-dropdown-item" file-ending="ttl" graphuri="{{graph.value}}" title="[[i18n 'download' bundle='languages/resource_admin_dataimportexport' locale=this.lang]]">
         [[i18n "turtle" bundle="languages/resource_admin_dataimportexport" locale=this.lang]]
        </mp-graph-store-action>
</bs-menu-item>
<bs-menu-item event-key="3">
<mp-graph-store-action action="GET" class="mp-rdf-graph-action__download-dropdown-item" file-ending="nt" graphuri="{{graph.value}}" title="[[i18n 'download' bundle='languages/resource_admin_dataimportexport' locale=this.lang]]">
         [[i18n "ntriples" bundle="languages/resource_admin_dataimportexport" locale=this.lang]]
        </mp-graph-store-action>
</bs-menu-item>
<bs-menu-item event-key="4">
<mp-graph-store-action action="GET" class="mp-rdf-graph-action__download-dropdown-item" file-ending="rdf" graphuri="{{graph.value}}" title="[[i18n 'download' bundle='languages/resource_admin_dataimportexport' locale=this.lang]]">
         [[i18n "rdf_xml" bundle="languages/resource_admin_dataimportexport" locale=this.lang]]
        </mp-graph-store-action>
</bs-menu-item>
<bs-menu-item event-key="4">
<mp-graph-store-action action="GET" class="mp-rdf-graph-action__download-dropdown-item" file-ending="owl" graphuri="{{graph.value}}" title="[[i18n 'download' bundle='languages/resource_admin_dataimportexport' locale=this.lang]]">
         [[i18n "owl" bundle="languages/resource_admin_dataimportexport" locale=this.lang]]
        </mp-graph-store-action>
</bs-menu-item>
</bs-dropdown-button>
</template>
</semantic-table>
</bs-col>
</bs-row>
<!--  close row -->
</div>
</div>
